#!/bin/sh

if [ "${CATALINA_HOME}" = "" ]; then
export CATALINA_HOME="/usr/share/tomcat8"
fi
if [ "${DEPLOYNAME}" = "" ]; then
DEPLOYNAME="ROOT"
fi
if [ "${JAVA_HOME}" = "" ]; then
export JAVA_HOME="/usr/lib/jvm/jre"
fi

pushd ${CATALINA_HOME}/webapps/${DEPLOYNAME}/WEB-INF/export/conf/
echo RDS_HOSTNAME $RDS_HOSTNAME zz
sed "s/jdbc:\([^:]*\):\/\/[^\/]*\/[^\?\"]*/jdbc:\1:\/\/${RDS_HOSTNAME}\/${RDS_DB_NAME}/;s/user=\"[^\"]*\"/user=\"${RDS_USERNAME}\"/;s/password=\"[^\"]*\"/password=\"${RDS_PASSWORD}\"/" initdb.xml > initdb.xml.new
cp initdb.xml.new initdb.xml
popd

pushd ${CATALINA_HOME}/bin
sh init_db.sh
popd

